Skip to main content
GET
/
2
/
clicks
/
averageClickPosition
curl
curl --request GET \
  --url 'https://analytics.us.algolia.com/2/clicks/averageClickPosition?index=ALGOLIA_INDEX_NAME&startDate=2022-09-19&endDate=2023-01-21&tags=device%3Amobile%2520phone' \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "average": 2.035,
  "clickCount": 162,
  "dates": [
    {
      "average": 2.035,
      "clickCount": 162,
      "date": "2023-06-14"
    }
  ]
}
The average click position is the average of all clicked search result positions. For example, if users only ever click on the first result for any search, the average click position is 1. By default, the analyzed period includes the last eight days including the current day. An average of null when clickAnalytics is enabled means Algolia didnโ€™t receive any click events for the queries. The average is null until Algolia receives at least one click event. Required ACL: analytics

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Query Parameters

index
string
required

Index name.

Example:

"ALGOLIA_INDEX_NAME"

startDate
string

Start date of the period to analyze, in YYYY-MM-DD format.

Example:

"2022-09-19"

endDate
string

End date of the period to analyze, in YYYY-MM-DD format.

Example:

"2023-01-21"

tags
string

Tags by which to segment the analytics.

You can combine multiple tags with OR and AND. Tags must be URL-encoded. For more information, see Segment your analytics data.

Response

OK

average
number<double> | null
required

Average position of a clicked search result in the list of search results. If null, Algolia didn't receive any search requests with clickAnalytics set to true.

Required range: x >= 1
Example:

2.035

clickCount
integer
default:0
required

Number of clicks associated with this search.

Required range: x >= 0
Example:

162

dates
dailyAverageClicks ยท object[]
required

Daily average click positions.

Last modified on March 23, 2026